Results 1 to 8 of 8

Thread: 'zypper dup' wants to remove the kernel

  1. #1
    Join Date
    Jan 2009
    Location
    Romania, Bucharest
    Posts
    915

    Default 'zypper dup' wants to remove the kernel

    Something seems to be seriously wrong with the latest Tumbleweed snapshot: Whenever I run "zypper dup" the command suggests completely removing the Kernel! Luckily I noticed this before it could break my system, I'm currently updating via Yast - Software Management until this is resolved. Anyone know what is happening?


  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    30,905
    Blog Entries
    15

    Default Re: 'zypper dup' wants to remove the kernel

    Hi
    That's correct, it needs to install 5.10.16-1.3 suggest you use zypper -vvv dup should give more information.

    Likewise should have an older kernel installed... I keep a few these days...
    Last edited by malcolmlewis; 26-Feb-2021 at 15:29.
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Jan 2009
    Location
    Romania, Bucharest
    Posts
    915

    Default Re: 'zypper dup' wants to remove the kernel

    Quote Originally Posted by malcolmlewis View Post
    Hi
    That's correct, it needs to install 5.10.16-1.3 suggest you use zypper -vvv dup should give more information.

    Likewise should have an older kernel installed... I keep a few these days...
    Interesting. I find it odd as it's not suggesting any replacement package like I'd expect: It just wants to uninstall the existing ones.

    "zypper -vvv dup" does suggest that there are replacements available, but decided they will not be installed. Why could this be?

    Code:
    The following 2 items are locked and will not be changed by any action:
     Installed: 
      audacious-plugins        4.0.5-10.12  x86_64  @System  http://packman.links2linux.de 
      audacious-plugins-extra  4.0.5-10.12  x86_64  @System  http://packman.links2linux.de 
    
    The following 65 package updates will NOT be installed:
      autofs                      5.1.6-242.13        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      btrfsmaintenance            0.5-67.3            noarch  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      btrfsprogs                  5.9-338.14          x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      btrfsprogs-udev-rules       5.9-338.14          noarch  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      e2fsprogs                   1.46.1-145.4        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      fuse                        2.9.9-99.10         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      fuse3                       3.10.2-42.2         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      gptfdisk                    1.0.6-2.1           x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      kernel-default              5.10.16-1.3         x86_64  openSUSE-Tumbleweed-Oss             openSUSE 
      kernel-default-devel        5.10.16-1.3         x86_64  openSUSE-Tumbleweed-Oss             openSUSE 
      kernel-devel                5.10.16-1.3         noarch  openSUSE-Tumbleweed-Oss             openSUSE 
      libalfont2                  2.0.9-2.3           x86_64  openSUSE-Tumbleweed-Games-Tools     obs://build.opensuse.org/games:tools 
      libalfont-devel             2.0.9-2.3           x86_64  openSUSE-Tumbleweed-Games-Tools     obs://build.opensuse.org/games:tools 
      liballeg4_4-32bit           4.4.3.1-8.22        x86_64  openSUSE-Tumbleweed-Games-Tools     obs://build.opensuse.org/games:tools 
      libbtrfs0                   5.9-338.14          x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libcom_err2                 1.46.1-145.4        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libcom_err2-32bit           1.46.1-145.4        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libcom_err-devel            1.46.1-145.4        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libext2fs2                  1.46.1-145.4        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libFAudio0                  21.02-27.2          x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      libFAudio0-32bit            21.02-27.2          x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      libfuse2                    2.9.9-99.10         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libfuse3-3                  3.10.2-42.2         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libgphoto2-6                2.5.26-2.13         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libgphoto2-6-32bit          2.5.26-2.13         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libgphoto2-6-lang           2.5.26-2.13         noarch  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libgsm1-32bit               1.0.18-3.17         x86_64  openSUSE-Factory-Network-Telephony  obs://build.opensuse.org/network:telephony 
      libntfs-3g88                2017.3.23-54.99     x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libopenal1-32bit            1.21.1-19.1         x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libopenobex2                1.7.2-53.104        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libparted0                  3.3-6.1             x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libreiserfs-0_3-0           0.3.0.5-185.49      x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libreiserfscore0            3.6.27-69.3         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libSDL-1_2-0                1.2.15-93.31        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL-1_2-0-32bit          1.2.15-93.31        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL2-2_0-0-32bit         2.0.14-112.6        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL2_image-2_0-0-32bit   2.0.5-35.22         x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL2_image-devel-32bit   2.0.5-35.22         x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL-devel-32bit          1.2.15-93.31        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_gfx15                2.0.26-36.33        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_image-1_2-0-32bit    1.2.12+hg695-34.20  x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_image-devel-32bit    1.2.12+hg695-34.20  x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_mixer-1_2-0-32bit    1.2.12-57.99        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_mixer-devel-32bit    1.2.12-57.99        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_net-1_2-0-32bit      1.2.8-344.67        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_ttf-2_0-0-32bit      2.0.11-351.66       x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_ttf-devel-32bit      2.0.11-351.66       x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libspandsp2-32bit           0.0.6-43.7          x86_64  openSUSE-Factory-Network-Telephony  obs://build.opensuse.org/network:telephony 
      libspeex1-32bit             1.2-2.53            x86_64  openSUSE-Factory-Network-Telephony  obs://build.opensuse.org/network:telephony 
      libspeexdsp1                1.2.0-3.1           x86_64  openSUSE-Factory-Network-Telephony  obs://build.opensuse.org/network:telephony 
      libunshield0                1.4.3-3.16          x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      ntfs-3g                     2017.3.23-54.99     x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      ntfsprogs                   2017.3.23-54.99     x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      parted                      3.3-6.1             x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      parted-lang                 3.3-6.1             noarch  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      patterns-games-games        20170319-6.10       x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      sshfs                       3.7.1-45.10         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      unshield                    1.4.3-3.16          x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      wine                        6.2-1262.11         x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      wine-32bit                  6.2-1262.11         x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      wine-gecko                  2.47.2-65.2         noarch  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      xfsprogs                    5.10.0-115.8        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      youtube-dl                  2021.02.22-1.1      noarch  openSUSE-Tumbleweed-Oss             openSUSE 
      youtube-dl-bash-completion  2021.02.22-1.1      noarch  openSUSE-Tumbleweed-Oss             openSUSE 
      youtube-dl-zsh-completion   2021.02.22-1.1      noarch  openSUSE-Tumbleweed-Oss             openSUSE 
    
    The following 3 packages are going to be REMOVED:
      kernel-default        5.10.16-1.2  x86_64  openSUSE 
      kernel-default-devel  5.10.16-1.2  x86_64  openSUSE 
      kernel-devel          5.10.16-1.2  noarch  openSUSE
    

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    30,905
    Blog Entries
    15

    Default Re: 'zypper dup' wants to remove the kernel

    Quote Originally Posted by MirceaKitsune View Post
    Interesting. I find it odd as it's not suggesting any replacement package like I'd expect: It just wants to uninstall the existing ones.

    "zypper -vvv dup" does suggest that there are replacements available, but decided they will not be installed. Why could this be?

    Code:
    The following 2 items are locked and will not be changed by any action:
     Installed: 
      audacious-plugins        4.0.5-10.12  x86_64  @System  http://packman.links2linux.de 
      audacious-plugins-extra  4.0.5-10.12  x86_64  @System  http://packman.links2linux.de 
    
    The following 65 package updates will NOT be installed:
      autofs                      5.1.6-242.13        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      btrfsmaintenance            0.5-67.3            noarch  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      btrfsprogs                  5.9-338.14          x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      btrfsprogs-udev-rules       5.9-338.14          noarch  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      e2fsprogs                   1.46.1-145.4        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      fuse                        2.9.9-99.10         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      fuse3                       3.10.2-42.2         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      gptfdisk                    1.0.6-2.1           x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      kernel-default              5.10.16-1.3         x86_64  openSUSE-Tumbleweed-Oss             openSUSE 
      kernel-default-devel        5.10.16-1.3         x86_64  openSUSE-Tumbleweed-Oss             openSUSE 
      kernel-devel                5.10.16-1.3         noarch  openSUSE-Tumbleweed-Oss             openSUSE 
      libalfont2                  2.0.9-2.3           x86_64  openSUSE-Tumbleweed-Games-Tools     obs://build.opensuse.org/games:tools 
      libalfont-devel             2.0.9-2.3           x86_64  openSUSE-Tumbleweed-Games-Tools     obs://build.opensuse.org/games:tools 
      liballeg4_4-32bit           4.4.3.1-8.22        x86_64  openSUSE-Tumbleweed-Games-Tools     obs://build.opensuse.org/games:tools 
      libbtrfs0                   5.9-338.14          x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libcom_err2                 1.46.1-145.4        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libcom_err2-32bit           1.46.1-145.4        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libcom_err-devel            1.46.1-145.4        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libext2fs2                  1.46.1-145.4        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libFAudio0                  21.02-27.2          x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      libFAudio0-32bit            21.02-27.2          x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      libfuse2                    2.9.9-99.10         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libfuse3-3                  3.10.2-42.2         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libgphoto2-6                2.5.26-2.13         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libgphoto2-6-32bit          2.5.26-2.13         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libgphoto2-6-lang           2.5.26-2.13         noarch  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libgsm1-32bit               1.0.18-3.17         x86_64  openSUSE-Factory-Network-Telephony  obs://build.opensuse.org/network:telephony 
      libntfs-3g88                2017.3.23-54.99     x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libopenal1-32bit            1.21.1-19.1         x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libopenobex2                1.7.2-53.104        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libparted0                  3.3-6.1             x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libreiserfs-0_3-0           0.3.0.5-185.49      x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libreiserfscore0            3.6.27-69.3         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      libSDL-1_2-0                1.2.15-93.31        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL-1_2-0-32bit          1.2.15-93.31        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL2-2_0-0-32bit         2.0.14-112.6        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL2_image-2_0-0-32bit   2.0.5-35.22         x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL2_image-devel-32bit   2.0.5-35.22         x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL-devel-32bit          1.2.15-93.31        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_gfx15                2.0.26-36.33        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_image-1_2-0-32bit    1.2.12+hg695-34.20  x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_image-devel-32bit    1.2.12+hg695-34.20  x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_mixer-1_2-0-32bit    1.2.12-57.99        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_mixer-devel-32bit    1.2.12-57.99        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_net-1_2-0-32bit      1.2.8-344.67        x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_ttf-2_0-0-32bit      2.0.11-351.66       x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libSDL_ttf-devel-32bit      2.0.11-351.66       x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      libspandsp2-32bit           0.0.6-43.7          x86_64  openSUSE-Factory-Network-Telephony  obs://build.opensuse.org/network:telephony 
      libspeex1-32bit             1.2-2.53            x86_64  openSUSE-Factory-Network-Telephony  obs://build.opensuse.org/network:telephony 
      libspeexdsp1                1.2.0-3.1           x86_64  openSUSE-Factory-Network-Telephony  obs://build.opensuse.org/network:telephony 
      libunshield0                1.4.3-3.16          x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      ntfs-3g                     2017.3.23-54.99     x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      ntfsprogs                   2017.3.23-54.99     x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      parted                      3.3-6.1             x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      parted-lang                 3.3-6.1             noarch  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      patterns-games-games        20170319-6.10       x86_64  openSUSE-Tumbleweed-Games           obs://build.opensuse.org/games 
      sshfs                       3.7.1-45.10         x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      unshield                    1.4.3-3.16          x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      wine                        6.2-1262.11         x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      wine-32bit                  6.2-1262.11         x86_64  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      wine-gecko                  2.47.2-65.2         noarch  openSUSE-Tumbleweed-Emulators-WINE  obs://build.opensuse.org/Emulators 
      xfsprogs                    5.10.0-115.8        x86_64  openSUSE-Tumbleweed-Filesystems     obs://build.opensuse.org/filesystems 
      youtube-dl                  2021.02.22-1.1      noarch  openSUSE-Tumbleweed-Oss             openSUSE 
      youtube-dl-bash-completion  2021.02.22-1.1      noarch  openSUSE-Tumbleweed-Oss             openSUSE 
      youtube-dl-zsh-completion   2021.02.22-1.1      noarch  openSUSE-Tumbleweed-Oss             openSUSE 
    
    The following 3 packages are going to be REMOVED:
      kernel-default        5.10.16-1.2  x86_64  openSUSE 
      kernel-default-devel  5.10.16-1.2  x86_64  openSUSE 
      kernel-devel          5.10.16-1.2  noarch  openSUSE
    
    Hi
    Too many foreign repos active, patience is a virtue
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    14,997
    Blog Entries
    3

    Default Re: 'zypper dup' wants to remove the kernel

    Quote Originally Posted by MirceaKitsune View Post
    Interesting. I find it odd as it's not suggesting any replacement package like I'd expect: It just wants to uninstall the existing ones.

    Code:
    
    The following 3 packages are going to be REMOVED:
      kernel-default        5.10.16-1.2  x86_64  openSUSE 
      kernel-default-devel  5.10.16-1.2  x86_64  openSUSE 
      kernel-devel          5.10.16-1.2  noarch  openSUSE
    
    It should have been installing kernel 5.10.16-1.3. And to do that, it must remove 5.10.16-1.2 to avoid a file conflict.

    Your output seems incomplete, so I cannot tell if it was actually doing that.
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

  6. #6
    Join Date
    Jan 2009
    Location
    Romania, Bucharest
    Posts
    915

    Default Re: 'zypper dup' wants to remove the kernel

    The mystery has been solved: I have kernel-default 5.10.16-1.3 installed, whereas 'zypper dup' only wants to remove 5.10.16-1.2 (which for some reason it didn't do when it installed that later version). This created the impression that it wants to take down the currently installed kernel without putting anything else in place... especially since if you look in YaST - Software Management, you only see the latest package installed, only zypper seems to notice the older version that's still installed / memorized somewhere.

  7. #7

    Default Re: 'zypper dup' wants to remove the kernel

    Quote Originally Posted by MirceaKitsune View Post
    especially since if you look in YaST - Software Management, you only see the latest package installed, only zypper seems to notice the older version that's still installed / memorized somewhere.
    In Leap I see all installed kernels as packages with different versions.

  8. #8
    Join Date
    Aug 2010
    Location
    Chicago suburbs
    Posts
    14,997
    Blog Entries
    3

    Default Re: 'zypper dup' wants to remove the kernel

    Quote Originally Posted by MirceaKitsune View Post
    ... especially since if you look in YaST - Software Management, you only see the latest package installed, only zypper seems to notice the older version that's still installed / memorized somewhere.
    If you click the "Versions" tab in Yast Software Management, you can see the versions that are installed.

    Or, easier, just look at what is in "/boot".
    openSUSE Leap 15.2; KDE Plasma 5.18.5;

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •